QGIS Application - Bug report #18239
Corrupted data layer and valuemaps / defaults lost
2018-02-27 03:54 AM - Patrick Dunford

Status: Closed
Priority: High
Assignee:

Category: Vectors

Affected QGIS version:master
Operating System: Xubuntu 18.04
Pull Request or Patch supplied:
Crashes QGIS or corruptsdata:

Regression?: No
Easy fix?: No
Resolution: fixed/implemented

Copied to github as #: 26130

Description

Running qgis master and editing a shapefile layer. The layer attached in its form as found after Qgis crashed.
After restoring the data the value maps and defaults were lost from the project file.

Qgis 2.99 release e06e95c¢

Refer: hittps://lists.osgeo.org/pipermail/qgis-developer/2018-February/052292.html

Approximate steps undertaken at the time the issue occurred:
1. Creating a new feature in the shapefile layer
2. The feature is not visible on the map.

3. Open the table and the type field is not set (this layer uses styles based on the type field so a null or zero will cause the feature to not be

displayed)

4. Set the type value to one of the non-zero values in the value map and save but the feature is still not displayed
5. Go back to the table to check the type value but Qgis crashes instead

6. Restart qgis and open the data table but no data in the table and no features displayed on map

7. Check the file representation and discovered some of the files renamed with _packed added to their names

The project files were created by opening a 2.18 project and then saving it as a separate project file for 2.99

0S299 project is the one that was left when the error occurred

0S299a project is regenerated from the 2.18 project file after renaming the shapefile files to retrieve the data from the layer.

History

#1 - 2018-02-28 04:13 AM - Patrick Dunford

Just testing my email

#2 - 2018-02-28 10:28 AM - Giovanni Manghi

- Crashes QGIS or corrupts data changed from No to Yes
- Category changed from Unknown to Vectors

- Priority changed from Normal to High

#3 - 2018-03-01 11:09 AM - Giovanni Manghi

- Status changed from Open to Feedback

Does this apply also to qgis 3?
https://lists.osgeo.org/pipermail/qgis-developer/2018-February/052292.html

#4 - 2018-03-01 12:35 PM - Patrick Dunford

| can't make this fault appear at will so | have no reasonable way of answering your question.

#5 - 2018-03-01 12:39 PM - Giovanni Manghi

Patrick Dunford wrote:

| can't make this fault appear at will so | have no reasonable way of answering your question.

does it show at all on qgis3?

#6 - 2018-03-01 12:53 PM - Patrick Dunford

Not yet seen (however | have not used 3 very much lately)

#7 - 2018-08-23 12:50 AM - Giovanni Manghi
- Resolution set to fixed/implemented
- Status changed from Feedback to Closed

Patrick Dunford wrote:

Not yet seen (however | have not used 3 very much lately)

| assume this is fixed in qgis 3, please reopen if necessary.
